cgGetFloatStateAssignmentValues(3)

NAME
cgGetFloatStateAssignmentValues - get a float-valued state assignment's values

SYNOPSIS
  #include <Cg/cg.h>
  const float * cgGetFloatStateAssignmentValues( CGstateassignment sa,
                                                 int * nvalues );

PARAMETERS

sa  The state assignment from which the values will be retrieved.

nvalues
    Pointer to integer where the number of returned values will be stored.

RETURN VALUES
Returns a pointer to an array of float values. The number of values in the array is returned via the nvalues parameter.

Returns NULL if an error occurs or if no values are available. nvalues will be 0 in the latter case.

DESCRIPTION
cgGetFloatStateAssignmentValues allows the application to retrieve the value(s) of a floating-point typed state assignment.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_INVALID_PARAMETER_ERROR is generated if nvalues is NULL.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a float type.

HISTORY
cgGetFloatStateAssignmentValues was introduced in Cg 1.4.

SEE ALSO
the cgGetStateAssignmentState manpage, the cgGetStateType manpage, the cgGetIntStateAssignmentValues manpage, the cgGetBoolStateAssignmentValues manpage, the cgGetStringStateAssignmentValue manpage, the cgGetProgramStateAssignmentValue manpage, the cgGetSamplerStateAssignmentValue manpage, the cgGetTextureStateAssignmentValue manpage